From 0e2e3bd9ea980774d5dd06b12bb366075bbed325 Mon Sep 17 00:00:00 2001
From: wael <wael@waelk.tech>
Date: Feb 21 2023 09:06:35 +0000
Subject: [PATCH 12/33] [lagrange]: upgrade to v1.14.2


---

diff --git a/pcr/lagrange/PKGBUILD b/pcr/lagrange/PKGBUILD
index e9a3d76..a5165a8 100644
--- a/pcr/lagrange/PKGBUILD
+++ b/pcr/lagrange/PKGBUILD
@@ -1,18 +1,18 @@
 # Maintainer (aur): Roshless <pkg@roshless.com>
 # Maintainer: Iván Ávalos <avalos@disroot.org>
 # Contributor: bill-auger <bill-auger@programmer.net>
+# Contributor: Wael Karram <wael@waelk.tech>
 
 
 pkgname=lagrange
 pkgrel=1
-pkgver=1.6.5
+pkgver=1.14.2
 pkgdesc="Beautiful Gemini Client"
 url="https://gmi.skyjake.fi/lagrange/"
 arch=('x86_64' 'i686' 'aarch64' 'armv7h')
 license=("BSD2")
-source=(
-    "https://git.skyjake.fi/skyjake/$pkgname/releases/download/v$pkgver/lagrange-$pkgver.tar.gz"
-)
+source=("https://git.skyjake.fi/skyjake/$pkgname/releases/download/v$pkgver/lagrange-$pkgver.tar.gz")
+sha256sums=('51b05ef7fd730d77ed9571c76a1772067fcfeeb900cbe8e66ec19c6fdfe58c64')
 depends=(
     "fribidi"
     "harfbuzz"
@@ -23,7 +23,7 @@ depends=(
     "sdl2"
 )
 optdepends=("mpg123")
-makedepends=("cmake")
+makedepends=("cmake" "zip")
 
 prepare() {
   cd "$srcdir"/$pkgname-$pkgver
@@ -51,5 +51,3 @@ package() {
     cd build
     make DESTDIR="$pkgdir" install
 }
-
-sha256sums=('c971850414aefad2e5f38659c173cdc2f765bfcf158a32c84b5c61294558b00f')

